> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update

> Update custom template by ID



## OpenAPI

````yaml /.tooling/schemas/rest/tags/product-finops.json patch /finops/v1/mail-templates/{template_id}
openapi: 3.1.0
info:
  title: Tesouro Partner API
  version: '2025-06-23'
  description: The Tesouro REST API, for Tesouro partners to integrate with our solution.
  termsOfService: https://tesouro.com/terms
  contact:
    name: Tesouro team
    url: https://tesouro.com/about/
    email: developers@tesouro.com
servers:
  - url: https://api.sandbox.tesouro.com
    description: Sandbox
security: []
tags:
  - name: Accounting connections
  - name: Accounting data pull
  - name: Accounting synchronized records
  - name: Accounting tax rates
  - name: Analytics
  - name: Approval policies
  - name: Approval requests
  - name: Bank details
  - name: Comments
  - name: Cost centers
  - name: Counterpart VAT IDs
  - name: Counterpart addresses
  - name: Counterpart bank accounts
  - name: Counterpart contacts
  - name: Counterparts
  - name: Credit notes
  - name: Custom tax rates
  - name: Delivery notes
  - name: Documents
  - name: Entities
  - name: Entity users
  - name: Events
  - name: Files
  - name: Identity
  - name: Ledger accounts
  - name: Mail templates
  - name: Mailbox domains
  - name: Mailboxes
  - name: Measure units
  - name: OCR
  - name: Overdue reminders
  - name: PDF templates
  - name: Payable line items
  - name: Payables
  - name: Payment intents
  - name: Payment links
  - name: Payment methods
  - name: Payment records
  - name: Payment reminders
  - name: Payment terms
  - name: Products
  - name: Projects
  - name: Purchase orders
  - name: Receipts
  - name: Receivables
  - name: Recurrences
  - name: Tags
  - name: Text templates
  - name: Transactions
  - name: VAT rates
  - name: Webhook deliveries
  - name: Webhook subscriptions
paths:
  /finops/v1/mail-templates/{template_id}:
    patch:
      tags:
        - Mail templates
      summary: Update
      description: Update custom template by ID
      operationId: patch_mail-templates_id
      parameters:
        - required: true
          schema:
            type: string
            format: date
          example: '2025-06-23'
          name: x-finops-version
          in: header
        - required: true
          schema:
            type: string
            format: uuid
          name: template_id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCustomTemplateSchemaRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomTemplateDataSchema'
        '405':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    UpdateCustomTemplateSchemaRequest:
      properties:
        body_template:
          type: string
          description: Jinja2 compatible string with email body
        language:
          allOf:
            - $ref: '#/components/schemas/LanguageCodeEnum'
          description: Lowercase ISO code of language
        name:
          type: string
          maxLength: 128
          minLength: 1
          description: Custom template name
          serialization_alias: template_name
        subject_template:
          type: string
          description: Jinja2 compatible string with email subject
      additionalProperties: false
      type: object
    CustomTemplateDataSchema:
      properties:
        id:
          type: string
          format: uuid
          description: ID of email template
        created_at:
          type: string
          format: date-time
          description: Template created date and time
        updated_at:
          type: string
          format: date-time
          description: Template updated date and time
        body_template:
          type: string
          description: Jinja2 compatible email body template
        is_default:
          type: boolean
          description: Is default template
        language:
          type: string
          maxLength: 4
          description: Lowercase ISO code of language
        name:
          type: string
          maxLength: 128
          description: Name of the template
        subject_template:
          type: string
          maxLength: 2048
          description: Jinja2 compatible email subject template
        type:
          type: string
          description: Document type of content
      additionalProperties: false
      type: object
      required:
        - id
        - created_at
        - updated_at
        - body_template
        - is_default
        - language
        - name
        - subject_template
        - type
    ErrorSchemaResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorSchema'
      type: object
      required:
        - error
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    LanguageCodeEnum:
      type: string
      enum:
        - ab
        - aa
        - af
        - ak
        - sq
        - am
        - ar
        - an
        - hy
        - av
        - ae
        - ay
        - az
        - bm
        - ba
        - eu
        - be
        - bn
        - bi
        - bs
        - br
        - bg
        - my
        - ca
        - ch
        - ce
        - ny
        - zh
        - cu
        - cv
        - kw
        - co
        - cr
        - hr
        - cs
        - da
        - dv
        - nl
        - dz
        - en
        - eo
        - et
        - ee
        - fo
        - fj
        - fi
        - fr
        - fy
        - ff
        - gd
        - gl
        - lg
        - ka
        - de
        - el
        - kl
        - gn
        - gu
        - ht
        - ha
        - he
        - hz
        - hi
        - ho
        - hu
        - io
        - ig
        - id
        - ia
        - ie
        - iu
        - ik
        - ga
        - it
        - ja
        - jv
        - kn
        - kr
        - ks
        - kk
        - km
        - ki
        - rw
        - ky
        - kv
        - kg
        - ko
        - kj
        - ku
        - lo
        - la
        - lv
        - li
        - ln
        - lt
        - lu
        - lb
        - mk
        - mg
        - ms
        - ml
        - mt
        - gv
        - mi
        - mr
        - mh
        - mn
        - na
        - nv
        - nd
        - nr
        - ng
        - ne
        - 'no'
        - nb
        - nn
        - ii
        - oc
        - oj
        - om
        - os
        - pi
        - ps
        - fa
        - pl
        - pt
        - pa
        - qu
        - ro
        - rm
        - rn
        - ru
        - se
        - sm
        - sg
        - sa
        - sc
        - sr
        - sn
        - sd
        - si
        - sk
        - sl
        - so
        - st
        - es
        - su
        - sw
        - ss
        - sv
        - tl
        - ty
        - tg
        - ta
        - tt
        - te
        - th
        - bo
        - ti
        - to
        - ts
        - tn
        - tr
        - tk
        - tw
        - ug
        - uk
        - ur
        - uz
        - ve
        - vi
        - vo
        - wa
        - cy
        - wo
        - xh
        - yi
        - yo
        - za
        - zu
    ErrorSchema:
      properties:
        message:
          type: string
      type: object
      required:
        - message
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````